import { TeradataCursor } from "./teradata-cursor";
export interface ITDConnParams {
    account?: string;
    browser?: string;
    browser_tab_timeout?: string;
    browser_timeout?: string;
    column_name?: string;
    connect_failure_ttl?: string;
    connect_function?: string;
    connect_timeout?: string;
    cop?: string;
    coplast?: string;
    database?: string;
    dbs_port?: string;
    encryptdata?: string;
    error_query_count?: string;
    error_query_interval?: string;
    error_table_1_suffix?: string;
    error_table_2_suffix?: string;
    error_table_database?: string;
    fake_result_sets?: string;
    field_quote?: string;
    field_sep?: string;
    govern?: string;
    host?: string;
    https_port?: string;
    lob_support?: string;
    log?: string;
    logdata?: string;
    logmech?: string;
    logon_sequence_number?: string;
    logon_timeout?: string;
    manage_error_tables?: string;
    max_message_body?: string;
    oidc_scope?: string;
    oidc_token?: string;
    partition?: string;
    password?: string;
    request_timeout?: string;
    runstartup?: string;
    sessions?: string;
    sip_support?: string;
    sp_spl?: string;
    sslca?: string;
    sslcapath?: string;
    sslcipher?: string;
    sslcrc?: string;
    sslmode?: string;
    sslprotocol?: string;
    teradata_values?: string;
    tmode?: string;
    user?: string;
}
export declare class TeradataConnection {
    private poolHandle;
    private lib;
    private ref;
    private byteArray;
    private logLevel;
    private logger;
    private sVersionNumber;
    constructor();
    get uLog(): number;
    get uPoolHandle(): number | null;
    get autocommit(): boolean;
    set autocommit(value: boolean);
    cursor(): TeradataCursor;
    connect(connectParams?: ITDConnParams, sJSON?: string): void;
    close(): void;
    cancel(): void;
    commit(): void;
    rollback(): void;
}
//# sourceMappingURL=teradata-connection.d.ts.map