"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProgrammingError = exports.OperationalError = exports.IntegrityError = exports.DataError = exports.DatabaseError = exports.InterfaceError = void 0;
class InterfaceError extends Error {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.InterfaceError = InterfaceError;
class DatabaseError extends Error {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.DatabaseError = DatabaseError;
class DataError extends DatabaseError {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.DataError = DataError;
class IntegrityError extends DatabaseError {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.IntegrityError = IntegrityError;
class OperationalError extends DatabaseError {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.OperationalError = OperationalError;
class ProgrammingError extends DatabaseError {
    constructor(message) {
        super(message);
        const actualProto = new.target.prototype;
        Object.setPrototypeOf(this, actualProto);
    }
}
exports.ProgrammingError = ProgrammingError;
//# sourceMappingURL=teradata-exceptions.js.map