"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const teradatasql_1 = require("teradatasql");
const con = new teradatasql_1.TeradataConnection();
con.connect({ host: "whomooz", user: "guest", password: "please" });
const cur = con.cursor();
const sTableName = "agkrdemo";
cur.execute("drop table " + sTableName, undefined, 3807);
cur.execute("create table " + sTableName + " (c1 integer generated by default as identity, c2 varchar(100))");
try {
    console.log("Using AGKR option C to return identity column values only");
    cur.execute("{fn teradata_agkr(C)}insert into " + sTableName + " (c2) values (?)", [["abc"], ["def"], ["ghi"]]);
    console.log("Each identity column value is returned in a separate single-row result set");
    while (true) {
        console.log(cur.fetchall());
        if (!cur.nextset()) {
            break;
        }
    }
    console.log("Using AGKR option R to return entire inserted rows");
    cur.execute("{fn teradata_agkr(R)}insert into " + sTableName + " (c2) values (?)", [["jkl"], ["mno"], ["pqr"]]);
    console.log("Each inserted row is returned in a separate single-row result set");
    while (true) {
        console.log(cur.fetchall());
        if (!cur.nextset()) {
            break;
        }
    }
    console.log("Final contents of table");
    cur.execute("select * from " + sTableName + " order by 1");
    console.log(cur.fetchall());
}
finally {
    cur.execute("drop table " + sTableName);
}
cur.close();
con.close();
//# sourceMappingURL=AGKRBatchInsert.js.map